# Polynomy

Nechť $a_0, \dots , a_n$ jsou komplexní čísla, $n \geq  0$ přirozené.

Polynomem (mnohočlenem) $p$ proměnné $x$ nazýváme předpis

$$p(x) = a_nx^n + a_{n-1}x^{n-1} + . . . + a_{1}x + a_0 \ \ \ \forall x \in C, a_{n} \neq 0$$

neboli

$$\displaystyle p(x) = \sum^n_{i=0} a_{i}x^i.$$

Hodnoty $a_i$ nazýváme **koeficienty** polynomu $p(x)$.

### Stupeň polynomu

Stupeň polynomu $p(x)$ je **nejvyšší mocnina proměnné $x$** u níž je nenulový koeficient.
- značí se: $st(p(x))$

### Nulový polynom

Nulový polynom je polynom, který má všechny **koeficienty rovny 0**.

Stupeň nulového polynomu je roven mínus nekonečnu - $st(n(x)) = -\infty$


### Operace s polynomy

1) Rovnost: $p(x) = q(x)$
	$p(x) = 3x^2 - 8x + 6$
	$q(x) = 6 - 3x^2 - 8x + 6x^2$

2) Opačný polynom: $-p(x)$
	$p(x) = 3x^2 - 8x + 6$
	$-p(x) = -3x^2 + 8x - 6$

3) Součet: $p(x) + q(x)$
	$p(x) + q(x) = 6x^2 - 16x + 12$

4) Rozdíl: $p(x) - q(x)$
	$p(x) - q(x) = u(x) = o$

5) k-násobek: $k \times p(x)$
	$-3 \times p(x) = -9x^2 + 24x - 18$

6) Součin: $p(x) \times q(x)$
   $p(x) \times q(x) = 9x^4 - 48x^3 + 100x^2 - 96x + 36$

7) Podíl: $\frac{p(x)}{q(x)}$
   písemné dělení

### Funkční hodnota v bodě

Hornerovo schématem, kde $c$ je požadovaná hodnota.

### Kořen

Nechť $p(x)$ je polynom proměnné $x$. Číslo $c \in C$ takové, že $p(c) = 0$ nazveme kořenem polynomu $p(x)$.

Každý polynom stupně alespoň 1 má v $C$ alespoň jeden kořen.

Je-li $c$ kořenem polynomu $p(x)$, pak $p(x) = s(x) (x - c)$, kde  $st(s(x)) = st(p(x)) - 1$.

Je-li $c$ kořenem polynomu $p(x)$, pak i číslo sdružené, tj. $\overline c$ je také kořenem $p(x)$

#### Komplexní rozklad na součin kořenových činitelů

Každý polynom $p(x)$ stupně $n$ lze vyjádřit ve tvaru $p(x) = (x - c_1)(x - c_2)(x - c_3) \dots (x - c_n)$, kde $c_1, c_2, \dots c_n$ jsou všechny kořeny polynomu $p(x)$.

Hodnoty $c_1, c_2, \dots, c_n$ nemusí být nutně navzájem různé. Každý polynom stupně $n \ge 1$ má v $C$ právě $n$ kořenů.

#### Reálný rozklad na součin kořenových činitelů

Sdružíme-li dvojice komplexně sdružených kořenů a následně jejich kořenové činitele roznásobíme, získáme reálný rozklad na součin kořenových činitelů.

Polynom $p(x)$ pak je ve tvaru

$p(x)$ = $a_n(x-c_1)(x-c_2) \dots (x-c_k)(x^2+u_1x+v_1)(x^2+u_2x+v_2) \dots (x^2+u_mx+v_m),$$

kde $c_1, c_2, \dots, c_k$ jsou reálné kořeny polynomu $p(x)$, $b_1, \overline{b_1}, b_2, \overline{b_2}, \dots, b_m, \overline{b_m}$  jsou všechny dvojice komplexně sdružených kořenů $p(x)$ a $x^2 + u_ix + v_i = (x - b_i)(x - \overline{b_i})$.

#### Věta 1.13 a věta 1.14
- Nechť $p(x)$ je polynom stupně n s celočíselnými koeficienty:
	- je-li: $a_{n} = \pm 1$ => každý celočíselný kořen $p(x)$ dělí $a_{0}$
	- jinak: pro každý racionální kořen p(x) ve tvaru a/b platí, že $a_{0}$ a $b$ dělí $a_{n}$

### Speciální typy polynomů  
- binomické
	- $x^n + a_0$ - přes vzorce $a^2 - b^2$, $a^3 ± b^3$ atd., nebo přes $n$-tou odmocninu $a_0$
- reciproké
	- platí, že $a_{n-i} = a_i$ pro všechna $i$, nebo $a_{n-i} = -a_i$ pro všechna $i$ - kořeny ±1, substituce $y = x + 1/x$  
- trinomické
	- $a_{2k}x^{2k} + a_{k}x^k + a_{0}$ - substituce typu $y = x^k$

### Hornerovo schéma

algoritmus pro zjištění funkční hodnoty polynomu