# Vlastní čísla, vlastní vektory, zobecněné vlastní vektory matice
## Vlastní čísla
- $A$ - matice A
- $\vec{u}$ - vlastní vektor matice A
- $\lambda$ - vlastní číslo matice A

$A \cdot \vec{u} = \lambda \cdot \vec{u}$
- $\vec{u} \in U \smallsetminus \{\vec{o}\}$ (u nulového vektoru by to platilo vždy)
- úpravou získáme $(\lambda I-A) \cdot \vec{u} = \vec{o}$

## Vlastní čísla

**Získání**:
1. Vypočítáme determinant matice
   $\det{(\lambda I - A)}$ -> výsledkem je **charakteristický polynom**
2. V průběhu si zkusíme vytknout něco s lambdou, např. $(\lambda-5)$
3. Získáme kořeny polynomu (vlastní čísla) a výsledek zapíšeme ve tvaru $(\lambda-5)(\lambda+2)^2$  
	 - $(\lambda_{1} = 5, \lambda_{2,3} = -2)$

Při změně báze se vlastní čísla ani vlastní vektory nemění. Vektory jsou sice stejné, ale v jiné bázi.

### Spektrum matice

- soubor všech vlastních čísel
- značí se $Sp(A)$
	- např.: $Sp(A) = \{3^2; -1\}$

## vlastní vektory
- bázové prvky jádra lineárního zobrazení s maticí $A - \lambda I$ pro konkrétní vlastní číslo

**Získání**:
1. Dosadíme vlastní číslo za lambdu
2. Vypočítáme GJEM z matice s dosazenou lambdou
3. Pomocí $n-hod(\lambda I-A)$ zjistíme počet dosazovaných LN vektorů
4. Do vlastního vektoru odzadu dosadíme LN vektory (pokud jen 1, dosadíme nenulové číslo)
	- běžně např. $(x, 1, 0)$ a $(x, 0, 1)$
5. Dopočítáme pomocí rovnic v matici zbytek souřadnic
   např.: $h_{1} = [2, -1, 1]^T$

Vlastním vektorem $h_{1} = [2, -1, 1]$ se myslí $t\cdot [2, -1, 1], t\in R$

## zobecněné vlastní vektory matice
- Pokud nám chybí některé $h_{i}$ (máme vícenásobné vl. číslo ale $n-hod(\lambda I-A)$ vyjde menší), je možné $h_3$ dopočítat opakováním postupu pro $(\lambda I-A) = -h_{2}$, kde $-h2$ bude v pravém sloupci.
- nechť A je čtvercová matice řádu n
- nechť $\lambda$ je vlastní číslo matice $A$
- uspořádaná k-tice vektorů $\vec u_1, \vec u_2, ... , \vec u_k$ se nazývá řetězec zobecněných vlastních vektorů pokud:
    - $(\lambda I - A)u_k = u_{k-1}$